Bug 219998 - audio/sox: Add option to enable sndio support, group audio backend options
Summary: audio/sox: Add option to enable sndio support, group audio backend options
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Tobias Kortkamp
URL: https://reviews.freebsd.org/D11227
Keywords: patch
Depends on:
Blocks:
 
Reported: 2017-06-14 21:36 UTC by Tobias Kortkamp
Modified: 2017-06-16 15:55 UTC (History)
1 user (show)

See Also:
dnelson: maintainer-feedback+


Attachments
sox.diff (1.78 KB, patch)
2017-06-14 21:36 UTC, Tobias Kortkamp
dnelson: maintainer-approval+
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Tobias Kortkamp freebsd_committer 2017-06-14 21:36:20 UTC
Created attachment 183487 [details]
sox.diff

- Add SNDIO option
- Add a OSS default option, so that the OSS backend can be turned off if desired.
- Since there are a lot of audio backend options, group them to make the config
  dialog more readable
- USES=localbase:ldflags

poudriere testport 11.0/amd64 ok (default options and WITH=SNDIO)
Comment 1 Dan Nelson 2017-06-15 14:30:09 UTC
Comment on attachment 183487 [details]
sox.diff

This patch looks good to me.
Comment 2 Tobias Kortkamp freebsd_committer 2017-06-15 20:21:03 UTC
Thanks :)
Comment 3 commit-hook freebsd_committer 2017-06-16 15:29:37 UTC
A commit references this bug:

Author: tobik
Date: Fri Jun 16 15:29:10 UTC 2017
New revision: 443710
URL: https://svnweb.freebsd.org/changeset/ports/443710

Log:
  - Add SNDIO option and make enabling the sndio backend explicit.  It's
    currently automatically enabled when sndio is available in the build
    environment.
  - Add a OSS default option, so that the OSS backend can be turned off
    if desired.
  - Since there are a lot of audio backend options, group them to make
    the config dialog more readable.
  - USES=localbase:ldflags

  PR:		219998
  Approved by:	mat (mentor), Dan Nelson <dnelson@allantgroup.com> (maintainer)
  Differential Revision:	https://reviews.freebsd.org/D11227

Changes:
  head/audio/sox/Makefile